Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Groups APIs

Viewing Details of SAP Groups

search

Viewing Details of SAP Groups

Use the get /v1/cckm/sap/groups/{id} API to fetch the details of a SAP group with the given id.

Syntax

curl -k '<IP>/api/v1/cckm/sap/groups/{id}' -H 'Authorization: AUTHTOKEN --compressed

Here, {id} is the resource ID of the SAP group.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/groups/e4b2c2da-4226-4cd8-bbfa-b3ad7a7c05ea' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjJmYmEzOGFmLTFkNzUtNGQ3NS04NTUzLWQ1NDljYzBjYmRlMiIsImlhdCI6MTYzMzMyNzkxNCwiZXhwIjoxNjMzMzI4MjE0fQ.L9sMTuMAEdwHy1qH1nlhDTyy0e7L03WO_bhcOBI4SnU' --compressed

Example Response

{
"application/json":{
    "id":"e4b2c2da-4226-4cd8-bbfa-b3ad7a7c05ea",
    "uri":"kylo:kylo:cckm:sap-group:e4b2c2da-4226-4cd8-bbfa-b3ad7a7c05ea",
    "account":"kylo:kylo:admin:accounts:kylo",
    "createdAt":"2021-09-22T10:41:05.781962Z",
    "updatedAt":"2021-09-22T10:41:05.779978Z",
    "Name":"TestCCKM",
    "group_id":"a42e389b-3d6a-43a6-ab94-9ef13de05785",
    "sap_application":"GENERAL",
    "keystore_id":"1e40864c-1b58-44b1-8654-a3a893705fb3",
    "connection":"sap-connection",
    "cloud_name":"sap"
    }
}

The sample output shows the details corresponding to the group (with ID e4b2c2da-4226-4cd8-bbfa-b3ad7a7c05ea).

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.